#!/bin/bash

if [ ! -d "wsjtx" ]; then
	echo "Can't find 'wsjtx' folder; quitting"
	exit 1
fi

echo "Backup files..."
if [ -f wsjtx.tgz ]; then
	mv wsjtx.tgz wsjtx.tgz.bak
fi
if [ -f wsjtx.tgz.md5sum ]; then
	mv wsjtx.tgz.md5sum wsjtx.tgz.md5sum.bak
fi

echo "Create new archive..."
tar -c wsjtx -zf wsjtx.tgz

echo "Generate MD5 sum..."
md5sum wsjtx.tgz > wsjtx.tgz.md5sum

echo "done."

# EOF
